# tbb::atomic< T > Struct Template Reference
[Synchronization]

`#include <atomic.h>`

List of all members.

## Public Member Functions
constexpr | atomic (T arg)
T | operator= (T rhs)
atomic< T > & | operator= (const atomic< T > &rhs)

## Detailed Description

### template<typename T>
struct tbb::atomic< T >

Primary template for atomic. See the Reference for details.

The documentation for this struct was generated from the following file:

- atomic.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.